# Page Class Reference

Classe abstraite représentant la partie fixe des pages de catégorie, groupe et question. More...

Inheritance diagram for Page:

List of all members.

## Public Member Functions

abstract void | onOpened ()
| this appelle cette méthode quand on ouvre l'onglet
abstract void | onListSelection ()
| this appelle cette méthode quand on clique sur un élément de la liste
abstract void | modify ()
| Methode appelée par un clic sur le bouton "Modifier".
abstract void | remove ()
| Methode appelée par un clic sur le bouton "Supprimer".
abstract void | add ()
| Methode appelée par un clic sur le bouton "Ajouter".
| Page ()
| Place les elements sur la page.
void | actionPerformed (ActionEvent e)
void | valueChanged (ListSelectionEvent e)

## Protected Member Functions

void | setListContent (ArrayList< ListRow > content)
ListRow | getSelectedListRow ()
| Récupère la cellule selectionnée dans la liste.
void | setListTop (int top)

## Detailed Description

Classe abstraite représentant la partie fixe des pages de catégorie, groupe et question.

## Constructor & Destructor Documentation

Page.Page | ( |  | ) |

Place les elements sur la page.

## Member Function Documentation

void Page.actionPerformed | ( | ActionEvent | e | ) |

abstract void Page.add | ( |  | ) | `[pure virtual]`

Methode appelée par un clic sur le bouton "Ajouter".

Implemented in PageCategorie.

ListRow Page.getSelectedListRow | ( |  | ) | `[protected]`

Récupère la cellule selectionnée dans la liste.

abstract void Page.modify | ( |  | ) | `[pure virtual]`

Methode appelée par un clic sur le bouton "Modifier".

Implemented in PageCategorie.

abstract void Page.onListSelection | ( |  | ) | `[pure virtual]`

this appelle cette méthode quand on clique sur un élément de la liste

Implemented in PageCategorie.

abstract void Page.onOpened | ( |  | ) | `[pure virtual]`

this appelle cette méthode quand on ouvre l'onglet

Implemented in PageCategorie.

abstract void Page.remove | ( |  | ) | `[pure virtual]`

Methode appelée par un clic sur le bouton "Supprimer".

Implemented in PageCategorie.

void Page.setListContent | ( | ArrayList< ListRow > | content | ) | `[protected]`

Permet de changer le contenu de la liste

Parameters:

  | content | ArrayList contenant des ListRow représentant une entrée

void Page.setListTop | ( | int | top | ) | `[protected]`

Modifie la hauteur de la liste, tout en la gardant alignée en bas (redimentionnement auto)

Parameters:

  | top | Pixe

void Page.valueChanged | ( | ListSelectionEvent | e | ) |

The documentation for this class was generated from the following file:

- /media/data/ProjWeb/Java/Page.java